body{
    margin: 0 auto;
    padding: 0px;
    width: 50%;
    background-color: gray;
}
header, footer{
    background-color: bisque;
    height: 20vh;
}

img{
    width: 80%;
}

#contenido{
    display: flex;
    flex-direction: row;
}

#padentro{
    display: flex;
    flex-direction: column;
    align-items: center;
   
}

nav,aside{
    flex-basis: 20%;
    background-color: cornflowerblue;
    flex-grow: 1;
    flex-shrink: 6;
}

article{
    flex-basis: 60%;
    background-color: khaki;
    flex-grow: 3;
    flex-shrink: 1;
}

*{
    border-radius: 3%;
    margin: 3px;
}

@media all and (max-width: 640px){
    #contenido{
        flex-direction: column;
    }    
    article{
        order: 1;
        flex-grow: 3;
        flex-shrink: 1;
    }
    nav{
        order: 2;
    }
    aside{
        order: 3;
    }
    nav, aside{
        flex-grow: 1;
        flex-shrink: 6;
    }

}